> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Callback de OAuth Microsoft

> Operacion: Callback de OAuth Microsoft.



## OpenAPI

````yaml /generated/specs/communications.json get /api/omnichannel/auth/microsoft/callback
openapi: 3.0.0
info:
  title: Raul API - Comunicaciones
  description: >-
    Conversations (threads, mensajes, channel accounts), inbox, omnichannel,
    email sync, WhatsApp, social, spam, tags y solicitudes de borrador con IA.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/omnichannel/auth/microsoft/callback:
    get:
      tags:
        - Omnichannel
      summary: Callback de OAuth Microsoft
      description: 'Operacion: Callback de OAuth Microsoft.'
      operationId: MicrosoftAuthController_handleCallback
      parameters:
        - name: code
          required: true
          in: query
          schema:
            type: string
        - name: error
          required: true
          in: query
          schema:
            type: string
        - name: admin_consent
          required: true
          in: query
          schema:
            type: string
        - name: tenant
          required: true
          in: query
          schema:
            type: string
        - name: cookie
          required: true
          in: header
          schema:
            type: string
      responses:
        '302':
          description: Redirección al frontend con resultado

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.